function [f, g] = LassoObj(w, XX, yy, lambda, n)
    % f = sum(w'*XX*w - w'*Xy2 + yy) + lambda*sum(abs(w)); % pridat 1/n
    f = (1/n) * sum((yy - XX*w).^2) + lambda*sum(abs(w)); % pridat 1/n
    
    %if nargout > 1
    %   g = 2*XX*w - Xy2 + lambda*w; 
    %end
end