function [betas_ref] = betasREF_comp(data_ref, betas_ref, time_lag, lamb, Nvars)
    temp = data_ref;
    
    for i = 1:Nvars
    
        % compute betas for reference set 
        betas_ref.coefs{i} = lassoGranger(temp', time_lag, lamb, 'l');

        temp = circshift(temp, [0 -1]);
    
    end

end