function [a] = divergence(sigma_ref, sigma_test, beta_ref, beta_test, mconc)
    a = - ( log( abs( sigma_ref)) - log( abs(sigma_test))) ...
        - 1/2 * ( 1 - ( 1 / sigma_test.^2) * ...
        (sigma_ref.^2 + (beta_ref - beta_test)' * mconc).^2);
end